%global zig_wayland_ver 0.2.0
%global zig_xkbcommon_ver 0.2.0

Name:           waylock
Version:        1.3.0
# pre-release versioning is only for Copr builds and will be disabled on Fedora import
Release:        %autorelease -p
Summary:        Small screenlocker for Wayland compositors

# waylock: ISC
# deps/zig-wayland: MIT
# deps/zig-xkbcommon: MIT
License:        ISC AND MIT
URL:            https://isaacfreund.com/software/waylock
%global forgeurl https://codeberg.org/ifreund/waylock
Source0:        %{forgeurl}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{forgeurl}/releases/download/v%{version}/%{name}-%{version}.tar.gz.sig
# Isaac Freund <mail@isaacfreund.com>
Source2:        https://isaacfreund.com/public_key.txt#/gpgkey-86DED400DDFD7A11.gpg
Source3:        https://codeberg.org/ifreund/zig-wayland/archive/v%{zig_wayland_ver}.tar.gz#/zig-wayland-%{zig_wayland_ver}.tar.gz
Source4:        https://codeberg.org/ifreund/zig-xkbcommon/archive/v%{zig_xkbcommon_ver}.tar.gz#/zig-xkbcommon-%{zig_xkbcommon_ver}.tar.gz

ExclusiveArch:  %{zig_arches}

BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  scdoc
BuildRequires:  (zig >= 0.13 with zig < 0.14)
BuildRequires:  zig-rpm-macros

BuildRequires:  pam-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xkbcommon)

# Right now there is no established way of managing Zig dependencies systemwide
# so for the time being they are bundled as part of the project.
Provides:       bundled(zig-wayland) = %{zig_wayland_ver}
Provides:       bundled(zig-xkbcommon) = %{zig_xkbcommon_ver}

%description
Waylock is a small screenlocker for Wayland compositors implementing
ext-session-lock-v1.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%setup -q -a 3 -a 4
%zig_fetch zig-wayland
%zig_fetch zig-xkbcommon

%build
%zig_build -Dpie

%install
%zig_install -Dpie


%files
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
%autochangelog
